JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const benchmarkRunView of client.benchmarkRuns.list()) {
console.log(benchmarkRunView.id);
}import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
page = client.benchmark_runs.list()
page = page.runs[0]
print(page.id)curl --request GET \
--url https://api.runloop.ai/v1/benchmark_runs \
--header 'Authorization: Bearer <token>'
{
"runs": [
{
"id": "<string>",
"start_time_ms": 123,
"state": "running",
"metadata": {},
"benchmark_id": "<string>",
"name": "<string>",
"duration_ms": 123,
"score": 123,
"purpose": "<string>",
"environment_variables": {},
"secrets_provided": {}
}
],
"has_more": true,
"total_count": 123
}Benchmark
List BenchmarkRuns.
List all BenchmarkRuns matching filter.
GET
/
v1
/
benchmark_runs
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const benchmarkRunView of client.benchmarkRuns.list()) {
console.log(benchmarkRunView.id);
}import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
page = client.benchmark_runs.list()
page = page.runs[0]
print(page.id)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by name
The Benchmark ID to filter by.
Filter by state
Search by benchmark run ID or name.
The limit of items to return. Default is 20. Max is 5000.
Load the next page of data starting after the item with the given ID.
If true (default), includes total_count in the response. Set to false to skip the count query for better performance on large datasets.
Was this page helpful?
